include drawer
include footer

mixin layout(_title, _root, no_footer, _type)
  doctype html
  html(lang="ja")
    head
      meta(charset="UTF-8")
      meta(name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0")
      meta(http-equiv="Content-Style-Type" content="text/css")
      meta(http-equiv="Content-Scipt-Type" content="text/javascript")
      meta(name="apple-mobile-web-app-capable" content="yes")
      meta(name="apple-mobile-web-app-status-bar-style" content="black-translucent")
      link(href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet")
      link(type="text/css" rel="stylesheet" href=_root + 'assets/css/materialize.min.css'  media="screen,projection")
      if _type != "sec_list"
        link(rel="stylesheet" href=_root + "assets/css/content.min.css" type="text/css")
      link(rel="stylesheet" href=_root + "assets/css/listpage.min.css" type="text/css")
      script(type="text/javascript" src=_root + 'assets/js/jquery.min.js')
      title=_title
      if _type == 'make_list'
        script(src=_root + "assets/js/masonry.pkgd.min.js")
        script(src=_root + "assets/js/imagesloaded.pkgd.min.js")
        script.
          $(function(){
          var $container = $('#box-container');
          $container.imagesLoaded(function(){
          $container.masonry({
          columnWidth: '.box-size1',
          itemSelector: '.item',
          percentPosition: true,
          isFitWidth: true,
          isAnimated: true
          });
          });
          });
    body
      +drawer(_root)
      if block
        block
      if !no_footer
        +footer()